Update manager says the package info. was last updated 1042 days ago.

Asked by Bo Elliot Miller on 2017-03-30

Update manger doesn't seem to know about any new packages in the last ~3 years. Would someone tell me how to get it functioning again?

I have gone through the trouble shooting procedures outlined here: https://help.ubuntu.com/community/PackageManagerTroubleshootingProcedure

Please find my terminal output from step 6 below:
millerbe@Takashima-X9DAi:~$ sudo gedit /etc/init.d/vncstuff
[sudo] password for millerbe:
millerbe@Takashima-X9DAi:~$ ubuntu-support-status
Traceback (most recent call last):
  File "/usr/bin/ubuntu-support-status", line 120, in <module>
    (still_supported, support_str) = get_maintenance_status(cache, pkg.name, support_tag)
  File "/usr/bin/ubuntu-support-status", line 41, in get_maintenance_status
    raise Exception("No date tag found")
Exception: No date tag found
millerbe@Takashima-X9DAi:~$ cat /etc/dpkg/dpkg.cfg.d/multiarch
foreign-architecture i386
millerbe@Takashima-X9DAi:~$ dpkg --print-foreign-architectures
i386
millerbe@Takashima-X9DAi:~$ sudo grep -R roxy /etc/apt/*
millerbe@Takashima-X9DAi:~$ grep roxy /etc/environment
millerbe@Takashima-X9DAi:~$ echo $http_proxy

millerbe@Takashima-X9DAi:~$ echo $ftp_proxy

millerbe@Takashima-X9DAi:~$ grep roxy /etc/bash.bashrc
millerbe@Takashima-X9DAi:~$ grep roxy ~/.bashrc
millerbe@Takashima-X9DAi:~$ cat /etc/apt/apt.conf
cat: /etc/apt/apt.conf: No such file or directory
millerbe@Takashima-X9DAi:~$ sudo fuser -vvv /var/lib/dpkg/lock
millerbe@Takashima-X9DAi:~$ sudo fuser -vvv /var/cache/apt/archives/lock
millerbe@Takashima-X9DAi:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.5 LTS"
millerbe@Takashima-X9DAi:~$ uname -a
Linux Takashima-X9DAi 3.2.0-125-generic #168-Ubuntu SMP Fri Mar 24 16:22:29 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
millerbe@Takashima-X9DAi:~$ sudo rm /var/lib/apt/lists/lock
millerbe@Takashima-X9DAi:~$ sudo rm /var/cache/apt/archives/lock
millerbe@Takashima-X9DAi:~$ sudo rm /var/lib/dpkg/lock
millerbe@Takashima-X9DAi:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
millerbe@Takashima-X9DAi:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status || sudo cp /var/backups/apt.extended_states.0 /var/lib/dpkg/status
millerbe@Takashima-X9DAi:~$ sudo mv /var/lib/dpkg/available /var/lib/dpkg/available-bad
millerbe@Takashima-X9DAi:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
millerbe@Takashima-X9DAi:~$ sudo rm -rf /var/lib/dpkg/updates/*
millerbe@Takashima-X9DAi:~$ sudo rm -rf /var/lib/apt/lists
millerbe@Takashima-X9DAi:~$ sudo rm /var/cache/apt/*.bin
millerbe@Takashima-X9DAi:~$ sudo mkdir /var/lib/apt/lists
millerbe@Takashima-X9DAi:~$ sudo mkdir /var/lib/apt/lists/partial
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get clean
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Done
Building dependency tree
Reading state information... Done
millerbe@Takashima-X9DAi:~$ sudo dpkg --configure -a
Setting up linux-headers-3.2.0-125 (3.2.0-125.168) ...
Setting up linux-headers-3.2.0-125-generic (3.2.0-125.168) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
Setting up linux-libc-dev (3.2.0-125.168) ...
Setting up linux-image-3.2.0-125-generic (3.2.0-125.168) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-125-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-125-generic /boot/vmlinuz-3.2.0-125-generic
Generating grub.cfg ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-3.2.0-125-generic
Found initrd image: /boot/initrd.img-3.2.0-125-generic
Found linux image: /boot/vmlinuz-3.2.0-124-generic
Found initrd image: /boot/initrd.img-3.2.0-124-generic
Found linux image: /boot/vmlinuz-3.2.0-86-generic
Found initrd image: /boot/initrd.img-3.2.0-86-generic
Found linux image: /boot/vmlinuz-3.2.0-70-generic
Found initrd image: /boot/initrd.img-3.2.0-70-generic
Found linux image: /boot/vmlinuz-3.2.0-67-generic
Found initrd image: /boot/initrd.img-3.2.0-67-generic
Found linux image: /boot/vmlinuz-3.2.0-64-generic
Found initrd image: /boot/initrd.img-3.2.0-64-generic
Found linux image: /boot/vmlinuz-3.2.0-60-generic
Found initrd image: /boot/initrd.img-3.2.0-60-generic
Found linux image: /boot/vmlinuz-3.2.0-59-generic
Found initrd image: /boot/initrd.img-3.2.0-59-generic
Found linux image: /boot/vmlinuz-3.2.0-58-generic
Found initrd image: /boot/initrd.img-3.2.0-58-generic
Found linux image: /boot/vmlinuz-3.2.0-57-generic
Found initrd image: /boot/initrd.img-3.2.0-57-generic
Found linux image: /boot/vmlinuz-3.2.0-56-generic
Found initrd image: /boot/initrd.img-3.2.0-56-generic
Found linux image: /boot/vmlinuz-3.2.0-55-generic
Found initrd image: /boot/initrd.img-3.2.0-55-generic
Found linux image: /boot/vmlinuz-3.2.0-54-generic
Found initrd image: /boot/initrd.img-3.2.0-54-generic
Found linux image: /boot/vmlinuz-3.2.0-53-generic
Found initrd image: /boot/initrd.img-3.2.0-53-generic
Found linux image: /boot/vmlinuz-3.2.0-52-generic
Found initrd image: /boot/initrd.img-3.2.0-52-generic
Found linux image: /boot/vmlinuz-3.2.0-51-generic
Found initrd image: /boot/initrd.img-3.2.0-51-generic
Found linux image: /boot/vmlinuz-3.2.0-49-generic
Found initrd image: /boot/initrd.img-3.2.0-49-generic
Found linux image: /boot/vmlinuz-3.2.0-48-generic
Found initrd image: /boot/initrd.img-3.2.0-48-generic
Found linux image: /boot/vmlinuz-3.2.0-45-generic
Found initrd image: /boot/initrd.img-3.2.0-45-generic
Found linux image: /boot/vmlinuz-3.2.0-44-generic
Found initrd image: /boot/initrd.img-3.2.0-44-generic
Found linux image: /boot/vmlinuz-3.2.0-43-generic
Found initrd image: /boot/initrd.img-3.2.0-43-generic
Found linux image: /boot/vmlinuz-3.2.0-41-generic
Found initrd image: /boot/initrd.img-3.2.0-41-generic
Found linux image: /boot/vmlinuz-3.2.0-40-generic
Found initrd image: /boot/initrd.img-3.2.0-40-generic
Found linux image: /boot/vmlinuz-3.2.0-39-generic
Found initrd image: /boot/initrd.img-3.2.0-39-generic
Found linux image: /boot/vmlinuz-3.2.0-38-generic
Found initrd image: /boot/initrd.img-3.2.0-38-generic
Found linux image: /boot/vmlinuz-3.2.0-37-generic
Found initrd image: /boot/initrd.img-3.2.0-37-generic
Found linux image: /boot/vmlinuz-3.2.0-36-generic
Found initrd image: /boot/initrd.img-3.2.0-36-generic
Found linux image: /boot/vmlinuz-3.2.0-35-generic
Found initrd image: /boot/initrd.img-3.2.0-35-generic
Found linux image: /boot/vmlinuz-3.2.0-34-generic
Found initrd image: /boot/initrd.img-3.2.0-34-generic
Found linux image: /boot/vmlinuz-3.2.0-33-generic
Found initrd image: /boot/initrd.img-3.2.0-33-generic
Found linux image: /boot/vmlinuz-3.2.0-32-generic
Found initrd image: /boot/initrd.img-3.2.0-32-generic
Found linux image: /boot/vmlinuz-3.2.0-31-generic
Found initrd image: /boot/initrd.img-3.2.0-31-generic
Found linux image: /boot/vmlinuz-3.2.0-30-generic
Found initrd image: /boot/initrd.img-3.2.0-30-generic
Found linux image: /boot/vmlinuz-3.2.0-29-generic
Found initrd image: /boot/initrd.img-3.2.0-29-generic
Found linux image: /boot/vmlinuz-3.2.0-27-generic
Found initrd image: /boot/initrd.img-3.2.0-27-generic
Found linux image: /boot/vmlinuz-3.2.0-26-generic
Found initrd image: /boot/initrd.img-3.2.0-26-generic
Found linux image: /boot/vmlinuz-3.2.0-25-generic
Found initrd image: /boot/initrd.img-3.2.0-25-generic
Found linux image: /boot/vmlinuz-3.2.0-24-generic
Found initrd image: /boot/initrd.img-3.2.0-24-generic
Found linux image: /boot/vmlinuz-3.2.0-23-generic
Found initrd image: /boot/initrd.img-3.2.0-23-generic
Found memtest86+ image: /boot/memtest86+.bin
ERROR: ddf1: seeking device "/dev/dm-2" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-2" to 4608
ERROR: hpt45x: seeking device "/dev/dm-2" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-2" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-2" to 18446744073709289984
done
Setting up linux-image-generic (3.2.0.125.140) ...
Setting up linux-headers-generic (3.2.0.125.140) ...
Setting up linux-generic (3.2.0.125.140) ...
millerbe@Takashima-X9DAi:~$ sudo dpkg --clear-avail
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libopenal1:i386 bluez-alsa:i386 menu-xdg libsdl-ttf2.0-0:i386
  libgconf-2-4:i386 python-gnome2 libstdc++5:i386 ekiga
  ia32-libs-multiarch:i386 libopal3.10.2 python-pyorbit libgail18:i386
  gnome-backgrounds libunique-1.0-0 libldap-2.4-2:i386 libao-common
  libv4l-0:i386 gnome-search-tool libroken18-heimdal:i386 libunistring0:i386
  libcupsimage2:i386 libgphoto2-port0:i386 libnss3:i386 libcaca0:i386
  gtk2-engines:i386 libgudev-1.0-0:i386 hamster-applet libcairo-gobject2:i386
  libavc1394-0:i386 gdebi ia32-libs linux-headers-3.2.0-37
  linux-headers-3.2.0-67 libbz2-1.0:i386 libaio1:i386 libsane:i386
  odbcinst1debian2:i386 odbcinst1debian2 gnome-icon-theme-extras
  libsdl-mixer1.2:i386 libcap2:i386 libproxy1:i386 ibus-gtk:i386
  libdbus-glib-1-2:i386 libtdb1:i386 libasn1-8-heimdal:i386
  libboost-signals1.46.1 libspeex1:i386 libxslt1.1:i386 libgomp1:i386
  libboost-program-options1.46.1 python-central gdebi-core libcapi20-3:i386
  libcapi20-3 libibus-1.0-0:i386 linux-headers-3.2.0-37-generic odbcinst
  libgssapi3-heimdal:i386 libcanberra-gtk-module:i386 libcanberra0:i386
  libboost-iostreams1.46.1 gtk2-engines-murrine:i386 libwavpack1:i386
  libqt4-opengl:i386 libsoup-gnome2.4-1:i386 libv4lconvert0:i386
  gstreamer0.10-plugins-good:i386 unixodbc libpt2.10.2 browser-plugin-gnash
  libncursesw5:i386 libiec61883-0:i386 libelf1:i386 libsdl-image1.2:i386
  libwind0-heimdal:i386 gnash-common libsdl1.2debian:i386 libxaw7:i386
  fonts-cantarell libgdbm3:i386 libcurl3:i386 gdm libesd0:i386 libmikmod2:i386
  gir1.2-unique-3.0 gir1.2-gucharmap-2.90 acroread-common
  libpulse-mainloop-glib0:i386 libaa1:i386 libieee1284-3:i386 sound-juicer
  libao4:i386 libxmu6:i386 libcanberra-gtk0:i386 libvorbisfile3:i386
  libboost-thread1.46.1 libxpm4:i386 libqt4-svg:i386 libusb-0.1-4:i386
  libgail-common:i386 libhcrypto4-heimdal:i386 libraw1394-11:i386
  libnspr4:i386 libshout3:i386 libdv4:i386 libhx509-5-heimdal:i386
  gstreamer0.10-x:i386 libgettextpo0:i386 dropbox libgd2-xpm:i386
  libheimbase1-heimdal:i386 libsdl-net1.2:i386 gedit-plugins openjdk-7-jre-lib
  liferea libgnome-keyring0:i386 libxtst6:i386 gtk2-engines-pixbuf:i386 gnash
  libtag1c2a:i386 libmpg123-0:i386 libssl0.9.8:i386 libmad0:i386
  libsasl2-2:i386 libdb5.1:i386 libtommath0 gtk2-engines-oxygen:i386 lib32z1
  xaw3dg:i386 liferea-data linux-headers-3.2.0-67-generic python-wnck
  libheimntlm0-heimdal:i386 libpulsedsp:i386 lib32stdc++6 libodbc1:i386
  libodbc1 libexif12:i386 librtmp0:i386 libxp6:i386 libsasl2-modules:i386
  libltdl7:i386 libkrb5-26-heimdal:i386 glib-networking:i386 libsoup2.4-1:i386
  libgphoto2-2:i386 libtag1-vanilla:i386 libaudiofile1:i386
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libopenal1:i386 bluez-alsa:i386 menu-xdg libsdl-ttf2.0-0:i386
  libgconf-2-4:i386 python-gnome2 libstdc++5:i386 ekiga
  ia32-libs-multiarch:i386 libopal3.10.2 python-pyorbit libgail18:i386
  gnome-backgrounds libunique-1.0-0 libldap-2.4-2:i386 libao-common
  libv4l-0:i386 gnome-search-tool libroken18-heimdal:i386 libunistring0:i386
  libcupsimage2:i386 libgphoto2-port0:i386 libnss3:i386 libcaca0:i386
  gtk2-engines:i386 libgudev-1.0-0:i386 hamster-applet libcairo-gobject2:i386
  libavc1394-0:i386 gdebi ia32-libs linux-headers-3.2.0-37
  linux-headers-3.2.0-67 libbz2-1.0:i386 libaio1:i386 libsane:i386
  odbcinst1debian2:i386 odbcinst1debian2 gnome-icon-theme-extras
  libsdl-mixer1.2:i386 libcap2:i386 libproxy1:i386 ibus-gtk:i386
  libdbus-glib-1-2:i386 libtdb1:i386 libasn1-8-heimdal:i386
  libboost-signals1.46.1 libspeex1:i386 libxslt1.1:i386 libgomp1:i386
  libboost-program-options1.46.1 python-central gdebi-core libcapi20-3:i386
  libcapi20-3 libibus-1.0-0:i386 linux-headers-3.2.0-37-generic odbcinst
  libgssapi3-heimdal:i386 libcanberra-gtk-module:i386 libcanberra0:i386
  libboost-iostreams1.46.1 gtk2-engines-murrine:i386 libwavpack1:i386
  libqt4-opengl:i386 libsoup-gnome2.4-1:i386 libv4lconvert0:i386
  gstreamer0.10-plugins-good:i386 unixodbc libpt2.10.2 browser-plugin-gnash
  libncursesw5:i386 libiec61883-0:i386 libelf1:i386 libsdl-image1.2:i386
  libwind0-heimdal:i386 gnash-common libsdl1.2debian:i386 libxaw7:i386
  fonts-cantarell libgdbm3:i386 libcurl3:i386 gdm libesd0:i386 libmikmod2:i386
  gir1.2-unique-3.0 gir1.2-gucharmap-2.90 acroread-common
  libpulse-mainloop-glib0:i386 libaa1:i386 libieee1284-3:i386 sound-juicer
  libao4:i386 libxmu6:i386 libcanberra-gtk0:i386 libvorbisfile3:i386
  libboost-thread1.46.1 libxpm4:i386 libqt4-svg:i386 libusb-0.1-4:i386
  libgail-common:i386 libhcrypto4-heimdal:i386 libraw1394-11:i386
  libnspr4:i386 libshout3:i386 libdv4:i386 libhx509-5-heimdal:i386
  gstreamer0.10-x:i386 libgettextpo0:i386 dropbox libgd2-xpm:i386
  libheimbase1-heimdal:i386 libsdl-net1.2:i386 gedit-plugins openjdk-7-jre-lib
  liferea libgnome-keyring0:i386 libxtst6:i386 gtk2-engines-pixbuf:i386 gnash
  libtag1c2a:i386 libmpg123-0:i386 libssl0.9.8:i386 libmad0:i386
  libsasl2-2:i386 libdb5.1:i386 libtommath0 gtk2-engines-oxygen:i386 lib32z1
  xaw3dg:i386 liferea-data linux-headers-3.2.0-67-generic python-wnck
  libheimntlm0-heimdal:i386 libpulsedsp:i386 lib32stdc++6 libodbc1:i386
  libodbc1 libexif12:i386 librtmp0:i386 libxp6:i386 libsasl2-modules:i386
  libltdl7:i386 libkrb5-26-heimdal:i386 glib-networking:i386 libsoup2.4-1:i386
  libgphoto2-2:i386 libtag1-vanilla:i386 libaudiofile1:i386
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  acroread-common* bluez-alsa:i386* browser-plugin-gnash* dropbox* ekiga*
  fonts-cantarell* gdebi* gdebi-core* gdm* gedit-plugins*
  gir1.2-gucharmap-2.90* gir1.2-unique-3.0* glib-networking:i386* gnash*
  gnash-common* gnome-backgrounds* gnome-icon-theme-extras* gnome-search-tool*
  gstreamer0.10-plugins-good:i386* gstreamer0.10-x:i386* gtk2-engines:i386*
  gtk2-engines-murrine:i386* gtk2-engines-oxygen:i386*
  gtk2-engines-pixbuf:i386* hamster-applet* ia32-libs*
  ia32-libs-multiarch:i386* ibus-gtk:i386* lib32stdc++6* lib32z1* libaa1:i386*
  libaio1:i386* libao-common* libao4:i386* libasn1-8-heimdal:i386*
  libaudiofile1:i386* libavc1394-0:i386* libboost-iostreams1.46.1*
  libboost-program-options1.46.1* libboost-signals1.46.1*
  libboost-thread1.46.1* libbz2-1.0:i386* libcaca0:i386*
  libcairo-gobject2:i386* libcanberra-gtk-module:i386* libcanberra-gtk0:i386*
  libcanberra0:i386* libcap2:i386* libcapi20-3:i386* libcapi20-3*
  libcupsimage2:i386* libcurl3:i386* libdb5.1:i386* libdbus-glib-1-2:i386*
  libdv4:i386* libelf1:i386* libesd0:i386* libexif12:i386*
  libgail-common:i386* libgail18:i386* libgconf-2-4:i386* libgd2-xpm:i386*
  libgdbm3:i386* libgettextpo0:i386* libgnome-keyring0:i386* libgomp1:i386*
  libgphoto2-2:i386* libgphoto2-port0:i386* libgssapi3-heimdal:i386*
  libgudev-1.0-0:i386* libhcrypto4-heimdal:i386* libheimbase1-heimdal:i386*
  libheimntlm0-heimdal:i386* libhx509-5-heimdal:i386* libibus-1.0-0:i386*
  libiec61883-0:i386* libieee1284-3:i386* libkrb5-26-heimdal:i386*
  libldap-2.4-2:i386* libltdl7:i386* libmad0:i386* libmikmod2:i386*
  libmpg123-0:i386* libncursesw5:i386* libnspr4:i386* libnss3:i386*
  libodbc1:i386* libodbc1* libopal3.10.2* libopenal1:i386* libproxy1:i386*
  libpt2.10.2* libpulse-mainloop-glib0:i386* libpulsedsp:i386*
  libqt4-opengl:i386* libqt4-svg:i386* libraw1394-11:i386*
  libroken18-heimdal:i386* librtmp0:i386* libsane:i386* libsasl2-2:i386*
  libsasl2-modules:i386* libsdl-image1.2:i386* libsdl-mixer1.2:i386*
  libsdl-net1.2:i386* libsdl-ttf2.0-0:i386* libsdl1.2debian:i386*
  libshout3:i386* libsoup-gnome2.4-1:i386* libsoup2.4-1:i386* libspeex1:i386*
  libssl0.9.8:i386* libstdc++5:i386* libtag1-vanilla:i386* libtag1c2a:i386*
  libtdb1:i386* libtommath0* libunique-1.0-0* libunistring0:i386*
  libusb-0.1-4:i386* libv4l-0:i386* libv4lconvert0:i386* libvorbisfile3:i386*
  libwavpack1:i386* libwind0-heimdal:i386* libxaw7:i386* libxmu6:i386*
  libxp6:i386* libxpm4:i386* libxslt1.1:i386* libxtst6:i386* liferea*
  liferea-data* linux-headers-3.2.0-37* linux-headers-3.2.0-37-generic*
  linux-headers-3.2.0-67* linux-headers-3.2.0-67-generic* menu-xdg* odbcinst*
  odbcinst1debian2:i386* odbcinst1debian2* openjdk-7-jre-lib* python-central*
  python-gnome2* python-pyorbit* python-wnck* sound-juicer* unixodbc*
  xaw3dg:i386*
0 upgraded, 0 newly installed, 149 to remove and 0 not upgraded.
After this operation, 289 MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 1203210 files and directories currently installed.)
Removing acroread-common ...
Removing ia32-libs ...
Removing ia32-libs-multiarch:i386 ...
Removing bluez-alsa:i386 ...
Removing browser-plugin-gnash ...
Purging configuration files for browser-plugin-gnash ...
Removing dropbox ...
Purging configuration files for dropbox ...
Removing ekiga ...
Purging configuration files for ekiga ...
Removing fonts-cantarell ...
Purging configuration files for fonts-cantarell ...
Removing gdebi ...
Removing gdebi-core ...
Removing gdm ...
Purging configuration files for gdm ...
Removing user `gdm' ...
Warning: group `gdm' has no more members.
Done.
dpkg: warning: while removing gdm, directory '/etc/gdm' not empty so not removed.
Removing gedit-plugins ...
Removing gir1.2-gucharmap-2.90 ...
Removing gir1.2-unique-3.0 ...
Removing gstreamer0.10-plugins-good:i386 ...
Purging configuration files for gstreamer0.10-plugins-good:i386 ...
Removing libsoup-gnome2.4-1:i386 ...
Purging configuration files for libsoup-gnome2.4-1:i386 ...
Removing libsoup2.4-1:i386 ...
Purging configuration files for libsoup2.4-1:i386 ...
Removing glib-networking:i386 ...
Removing gnash ...
Purging configuration files for gnash ...
Removing gnash-common ...
Purging configuration files for gnash-common ...
Removing gnome-backgrounds ...
Removing gnome-icon-theme-extras ...
Removing gnome-search-tool ...
Purging configuration files for gnome-search-tool ...
Removing gstreamer0.10-x:i386 ...
Removing gtk2-engines:i386 ...
Removing gtk2-engines-murrine:i386 ...
Removing gtk2-engines-oxygen:i386 ...
Removing gtk2-engines-pixbuf:i386 ...
Removing hamster-applet ...
Removing ibus-gtk:i386 ...
Removing lib32stdc++6 ...
Purging configuration files for lib32stdc++6 ...
Removing lib32z1 ...
Purging configuration files for lib32z1 ...
Removing libaa1:i386 ...
Purging configuration files for libaa1:i386 ...
Removing libaio1:i386 ...
Purging configuration files for libaio1:i386 ...
Removing libao4:i386 ...
Purging configuration files for libao4:i386 ...
Removing libao-common ...
Purging configuration files for libao-common ...
Removing libcurl3:i386 ...
Purging configuration files for libcurl3:i386 ...
Removing libldap-2.4-2:i386 ...
Purging configuration files for libldap-2.4-2:i386 ...
Removing libgssapi3-heimdal:i386 ...
Purging configuration files for libgssapi3-heimdal:i386 ...
Removing libheimntlm0-heimdal:i386 ...
Purging configuration files for libheimntlm0-heimdal:i386 ...
Removing libkrb5-26-heimdal:i386 ...
Purging configuration files for libkrb5-26-heimdal:i386 ...
Removing libhx509-5-heimdal:i386 ...
Purging configuration files for libhx509-5-heimdal:i386 ...
Removing libhcrypto4-heimdal:i386 ...
Purging configuration files for libhcrypto4-heimdal:i386 ...
Removing libasn1-8-heimdal:i386 ...
Purging configuration files for libasn1-8-heimdal:i386 ...
Removing libesd0:i386 ...
Purging configuration files for libesd0:i386 ...
Removing libaudiofile1:i386 ...
Purging configuration files for libaudiofile1:i386 ...
Removing libavc1394-0:i386 ...
Purging configuration files for libavc1394-0:i386 ...
Removing libboost-iostreams1.46.1 ...
Purging configuration files for libboost-iostreams1.46.1 ...
Removing libboost-program-options1.46.1 ...
Purging configuration files for libboost-program-options1.46.1 ...
Removing libboost-signals1.46.1 ...
Purging configuration files for libboost-signals1.46.1 ...
Removing libboost-thread1.46.1 ...
Purging configuration files for libboost-thread1.46.1 ...
Removing libbz2-1.0:i386 ...
Purging configuration files for libbz2-1.0:i386 ...
Removing libsdl-ttf2.0-0:i386 ...
Purging configuration files for libsdl-ttf2.0-0:i386 ...
Removing libsdl-mixer1.2:i386 ...
Purging configuration files for libsdl-mixer1.2:i386 ...
Removing libsdl-image1.2:i386 ...
Purging configuration files for libsdl-image1.2:i386 ...
Removing libsdl-net1.2:i386 ...
Purging configuration files for libsdl-net1.2:i386 ...
Removing libsdl1.2debian:i386 ...
Purging configuration files for libsdl1.2debian:i386 ...
Removing libcaca0:i386 ...
Purging configuration files for libcaca0:i386 ...
Removing libcairo-gobject2:i386 ...
Purging configuration files for libcairo-gobject2:i386 ...
Removing libcanberra-gtk-module:i386 ...
Removing libcanberra-gtk0:i386 ...
Purging configuration files for libcanberra-gtk0:i386 ...
Removing libcanberra0:i386 ...
Purging configuration files for libcanberra0:i386 ...
Removing libcap2:i386 ...
Purging configuration files for libcap2:i386 ...
Removing libcapi20-3:i386 ...
Purging configuration files for libcapi20-3:i386 ...
Removing libopal3.10.2 ...
Purging configuration files for libopal3.10.2 ...
Removing libcapi20-3 ...
Purging configuration files for libcapi20-3 ...
Removing libcupsimage2:i386 ...
Purging configuration files for libcupsimage2:i386 ...
Removing libsasl2-modules:i386 ...
Removing libsasl2-2:i386 ...
Purging configuration files for libsasl2-2:i386 ...
Removing libdb5.1:i386 ...
Purging configuration files for libdb5.1:i386 ...
Removing libgconf-2-4:i386 ...
Purging configuration files for libgconf-2-4:i386 ...
Removing libdbus-glib-1-2:i386 ...
Purging configuration files for libdbus-glib-1-2:i386 ...
Removing libdv4:i386 ...
Purging configuration files for libdv4:i386 ...
Removing libelf1:i386 ...
Purging configuration files for libelf1:i386 ...
Removing libsane:i386 ...
Purging configuration files for libsane:i386 ...
Removing directory /etc/sane.d/ ...
Removing libgphoto2-2:i386 ...
Purging configuration files for libgphoto2-2:i386 ...
Removing libexif12:i386 ...
Purging configuration files for libexif12:i386 ...
Removing libgail-common:i386 ...
Removing libgail18:i386 ...
Purging configuration files for libgail18:i386 ...
Removing libgd2-xpm:i386 ...
Purging configuration files for libgd2-xpm:i386 ...
Removing libgdbm3:i386 ...
Purging configuration files for libgdbm3:i386 ...
Removing libgettextpo0:i386 ...
Removing libgnome-keyring0:i386 ...
Purging configuration files for libgnome-keyring0:i386 ...
Removing libgomp1:i386 ...
Purging configuration files for libgomp1:i386 ...
Removing libgphoto2-port0:i386 ...
Purging configuration files for libgphoto2-port0:i386 ...
Removing libgudev-1.0-0:i386 ...
Purging configuration files for libgudev-1.0-0:i386 ...
Removing libheimbase1-heimdal:i386 ...
Purging configuration files for libheimbase1-heimdal:i386 ...
Removing libibus-1.0-0:i386 ...
Purging configuration files for libibus-1.0-0:i386 ...
Removing libiec61883-0:i386 ...
Purging configuration files for libiec61883-0:i386 ...
Removing libieee1284-3:i386 ...
Purging configuration files for libieee1284-3:i386 ...
Removing odbcinst1debian2:i386 ...
Purging configuration files for odbcinst1debian2:i386 ...
Removing libodbc1:i386 ...
Purging configuration files for libodbc1:i386 ...
Removing libltdl7:i386 ...
Purging configuration files for libltdl7:i386 ...
Removing libmad0:i386 ...
Purging configuration files for libmad0:i386 ...
Removing libmikmod2:i386 ...
Purging configuration files for libmikmod2:i386 ...
Removing libmpg123-0:i386 ...
Purging configuration files for libmpg123-0:i386 ...
Removing libncursesw5:i386 ...
Purging configuration files for libncursesw5:i386 ...
Removing libnss3:i386 ...
Purging configuration files for libnss3:i386 ...
Removing libnspr4:i386 ...
Purging configuration files for libnspr4:i386 ...
Removing libpt2.10.2 ...
Purging configuration files for libpt2.10.2 ...
Removing unixodbc ...
Removing libodbc1 ...
Purging configuration files for libodbc1 ...
Removing libopenal1:i386 ...
Purging configuration files for libopenal1:i386 ...
Removing libproxy1:i386 ...
Purging configuration files for libproxy1:i386 ...
Removing libpulse-mainloop-glib0:i386 ...
Purging configuration files for libpulse-mainloop-glib0:i386 ...
Removing libpulsedsp:i386 ...
Removing libqt4-opengl:i386 ...
Purging configuration files for libqt4-opengl:i386 ...
Removing libqt4-svg:i386 ...
Purging configuration files for libqt4-svg:i386 ...
Removing libraw1394-11:i386 ...
Purging configuration files for libraw1394-11:i386 ...
Removing libwind0-heimdal:i386 ...
Purging configuration files for libwind0-heimdal:i386 ...
Removing libroken18-heimdal:i386 ...
Purging configuration files for libroken18-heimdal:i386 ...
Removing librtmp0:i386 ...
Purging configuration files for librtmp0:i386 ...
Removing libshout3:i386 ...
Purging configuration files for libshout3:i386 ...
Removing libspeex1:i386 ...
Purging configuration files for libspeex1:i386 ...
Removing libssl0.9.8:i386 ...
Purging configuration files for libssl0.9.8:i386 ...
Removing libstdc++5:i386 ...
Purging configuration files for libstdc++5:i386 ...
Removing libtag1c2a:i386 ...
Removing libtag1-vanilla:i386 ...
Purging configuration files for libtag1-vanilla:i386 ...
Removing libtdb1:i386 ...
Purging configuration files for libtdb1:i386 ...
Removing libtommath0 ...
Purging configuration files for libtommath0 ...
Removing liferea ...
Purging configuration files for liferea ...
Removing libunique-1.0-0 ...
Purging configuration files for libunique-1.0-0 ...
Removing libunistring0:i386 ...
Purging configuration files for libunistring0:i386 ...
Removing libusb-0.1-4:i386 ...
Purging configuration files for libusb-0.1-4:i386 ...
Removing libv4l-0:i386 ...
Purging configuration files for libv4l-0:i386 ...
Removing libv4lconvert0:i386 ...
Purging configuration files for libv4lconvert0:i386 ...
Removing libvorbisfile3:i386 ...
Purging configuration files for libvorbisfile3:i386 ...
Removing libwavpack1:i386 ...
Purging configuration files for libwavpack1:i386 ...
Removing libxaw7:i386 ...
Purging configuration files for libxaw7:i386 ...
Removing xaw3dg:i386 ...
Purging configuration files for xaw3dg:i386 ...
Removing libxmu6:i386 ...
Purging configuration files for libxmu6:i386 ...
Removing libxp6:i386 ...
Purging configuration files for libxp6:i386 ...
Removing libxpm4:i386 ...
Purging configuration files for libxpm4:i386 ...
Removing libxslt1.1:i386 ...
Purging configuration files for libxslt1.1:i386 ...
Removing libxtst6:i386 ...
Purging configuration files for libxtst6:i386 ...
Removing liferea-data ...
Removing linux-headers-3.2.0-37-generic ...
Removing linux-headers-3.2.0-37 ...
Removing linux-headers-3.2.0-67-generic ...
Removing linux-headers-3.2.0-67 ...
Removing menu-xdg ...
Purging configuration files for menu-xdg ...
Removing openjdk-7-jre-lib ...
Removing python-central ...
Purging configuration files for python-central ...
Removing python-gnome2 ...
Removing python-pyorbit ...
Removing python-wnck ...
Removing sound-juicer ...
Purging configuration files for sound-juicer ...
Removing odbcinst1debian2 ...
Purging configuration files for odbcinst1debian2 ...
Removing odbcinst ...
Purging configuration files for odbcinst ...
Processing triggers for man-db ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for gconf2 ...
Processing triggers for menu ...
Processing triggers for fontconfig ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for libglib2.0-0:i386 ...
Processing triggers for libglib2.0-0 ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for install-info ...
Processing triggers for doc-base ...
Processing 2 removed doc-base files...
Registering documents with scrollkeeper...
Processing triggers for shared-mime-info ...
Processing triggers for gnome-icon-theme ...
Processing triggers for libgtk2.0-0:i386 ...
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get --fix-missing update -o APT::Cache-Limit=100000000
Get:1 http://archive.ubuntu.com precise Release.gpg [198 B]
Get:2 http://archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:3 http://archive.ubuntu.com precise-backports Release.gpg [198 B]
Get:4 http://archive.ubuntu.com precise-security Release.gpg [198 B]
Get:5 http://archive.canonical.com precise Release.gpg [198 B]
Get:6 http://archive.ubuntu.com precise Release [49.6 kB]
Get:7 http://archive.canonical.com precise Release [8180 B]
Get:8 http://packages.medibuntu.org precise Release.gpg
Get:9 http://archive.canonical.com precise/partner Sources [5721 B]
Get:10 http://archive.ubuntu.com precise-updates Release [55.4 kB]
Get:11 http://archive.canonical.com precise/partner amd64 Packages [6920 B]
Get:12 http://archive.canonical.com precise/partner i386 Packages [7808 B]
Get:13 http://archive.canonical.com precise/partner TranslationIndex [202 B]
Get:14 http://archive.ubuntu.com precise-backports Release [55.5 kB]
Get:15 http://archive.canonical.com precise/partner Translation-en [4440 B]
Get:16 http://packages.medibuntu.org precise Release
Get:17 http://archive.ubuntu.com precise-security Release [55.5 kB]
Get:18 http://archive.ubuntu.com precise/main Sources [934 kB]
Ign http://packages.medibuntu.org precise Release
E: GPG error: http://packages.medibuntu.org precise Release: The following signatures were invalid: NODATA 1 NODATA 2
millerbe@Takashima-X9DAi:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=100000000 && sudo apt-get dist-upgrade
Hit http://archive.canonical.com precise Release.gpg
Hit http://archive.ubuntu.com precise Release.gpg
Hit http://archive.ubuntu.com precise-updates Release.gpg
Hit http://archive.ubuntu.com precise-backports Release.gpg
Hit http://archive.ubuntu.com precise-security Release.gpg
Hit http://archive.canonical.com precise Release
Hit http://archive.ubuntu.com precise Release
Hit http://archive.ubuntu.com precise-updates Release
Hit http://archive.ubuntu.com precise-backports Release
Get:1 http://packages.medibuntu.org precise Release.gpg
Hit http://archive.ubuntu.com precise-security Release
Hit http://archive.canonical.com precise/partner Sources
Get:2 http://archive.ubuntu.com precise/main Sources [934 kB]
Hit http://archive.canonical.com precise/partner amd64 Packages
Hit http://archive.canonical.com precise/partner i386 Packages
Hit http://archive.canonical.com precise/partner TranslationIndex
Hit http://archive.canonical.com precise/partner Translation-en
Get:3 http://packages.medibuntu.org precise Release
Ign http://packages.medibuntu.org precise Release
E: GPG error: http://packages.medibuntu.org precise Release: The following signatures were invalid: NODATA 1 NODATA 2
millerbe@Takashima-X9DAi:~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; cat -n "$1"' _ '{}' \;

/etc/apt/sources.list

     1 # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ dists/precise/main/binary-i386/
     2
     3 # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ dists/precise/restricted/binary-i386/
     4 # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ precise main restricted
     5
     6 # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     7 # newer versions of the distribution.
     8 deb http://archive.ubuntu.com/ubuntu precise main restricted
     9 deb-src http://archive.ubuntu.com/ubuntu precise main restricted
    10
    11 ## Major bug fix updates produced after the final release of the
    12 ## distribution.
    13 deb http://archive.ubuntu.com/ubuntu precise-updates main restricted
    14 deb-src http://archive.ubuntu.com/ubuntu precise-updates main restricted
    15
    16 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    17 ## team. Also, please note that software in universe WILL NOT receive any
    18 ## review or updates from the Ubuntu security team.
    19 deb http://archive.ubuntu.com/ubuntu precise universe
    20 deb-src http://archive.ubuntu.com/ubuntu precise universe
    21 deb http://archive.ubuntu.com/ubuntu precise-updates universe
    22 deb-src http://archive.ubuntu.com/ubuntu precise-updates universe
    23
    24 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    25 ## team, and may not be under a free licence. Please satisfy yourself as to
    26 ## your rights to use the software. Also, please note that software in
    27 ## multiverse WILL NOT receive any review or updates from the Ubuntu
    28 ## security team.
    29 deb http://archive.ubuntu.com/ubuntu precise multiverse
    30 deb-src http://archive.ubuntu.com/ubuntu precise multiverse
    31 deb http://archive.ubuntu.com/ubuntu precise-updates multiverse
    32 deb-src http://archive.ubuntu.com/ubuntu precise-updates multiverse
    33
    34 ## N.B. software from this repository may not have been tested as
    35 ## extensively as that contained in the main release, although it includes
    36 ## newer versions of some applications which may provide useful features.
    37 ## Also, please note that software in backports WILL NOT receive any review
    38 ## or updates from the Ubuntu security team.
    39 deb http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse
    40 deb-src http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse
    41
    42 deb http://archive.ubuntu.com/ubuntu precise-security main restricted
    43 deb-src http://archive.ubuntu.com/ubuntu precise-security main restricted
    44 deb http://archive.ubuntu.com/ubuntu precise-security universe
    45 deb-src http://archive.ubuntu.com/ubuntu precise-security universe
    46 deb http://archive.ubuntu.com/ubuntu precise-security multiverse
    47 deb-src http://archive.ubuntu.com/ubuntu precise-security multiverse
    48
    49 ## Uncomment the following two lines to add software from Canonical's
    50 ## 'partner' repository.
    51 ## This software is not part of Ubuntu, but is offered by Canonical and the
    52 ## respective vendors as a service to Ubuntu users.
    53 deb http://archive.canonical.com/ubuntu precise partner
    54 deb-src http://archive.canonical.com/ubuntu precise partner
    55
    56 ## This software is not part of Ubuntu, but is offered by third-party
    57 ## developers who want to ship their latest software.
    58 # deb http://extras.ubuntu.com/ubuntu precise main
    59 # deb-src http://extras.ubuntu.com/ubuntu precise main
    60 # deb-src http://linux.dropbox.com/ubuntu precise main

/etc/apt/sources.list.d/medibuntu.list

     1 ## Please report any bug on https://bugs.launchpad.net/medibuntu/
     2 deb http://packages.medibuntu.org/ precise free non-free #Medibuntu - Ubuntu 12.04 "precise pangolin"
     3 deb-src http://packages.medibuntu.org/ precise free non-free #Medibuntu (source) - Ubuntu 12.04 "precise pangolin"

/etc/apt/sources.list.d/google-chrome.list

     1 ### THIS FILE IS AUTOMATICALLY CONFIGURED ###
     2 # You may comment out this entry, but any other modifications may be lost.
     3 # deb http://dl.google.com/linux/chrome/deb/ stable main

/etc/apt/sources.list.d/gwendal-lebihan-dev-cinnamon-stable-precise.list

     1 # deb http://ppa.launchpad.net/gwendal-lebihan-dev/cinnamon-stable/ubuntu precise main
     2 # deb-src http://ppa.launchpad.net/gwendal-lebihan-dev/cinnamon-stable/ubuntu precise main

/etc/apt/sources.list.d/tualatrix-ppa-precise.list

     1 # deb http://ppa.launchpad.net/tualatrix/ppa/ubuntu precise main
     2 # deb-src http://ppa.launchpad.net/tualatrix/ppa/ubuntu precise main
millerbe@Takashima-X9DAi:~$ sudo dpkg --audit
millerbe@Takashima-X9DAi:~$

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu apt Edit question
Assignee:
No assignee Edit question
Solved by:
Bo Elliot Miller
Solved:
2017-03-30
Last query:
2017-03-30
Last reply:
2017-03-30
Manfred Hampl (m-hampl) said : #1

medibuntu.org has been abandoned a few years ago, but you still try to access the related repository.

Try the commands

sudo rm etc/apt/sources.list.d/medibuntu.list
sudo apt.-get update

and report the results.

Manfred Hampl (m-hampl) said : #2

Oops, sorry typo error, the commands are:

sudo rm etc/apt/sources.list.d/medibuntu.list
sudo apt-get update

Bo Elliot Miller (millerbe31) said : #3

I removed the medibuntu target, and the update window no longer shows the 1042, so that much is good.

The underlying issue and the real reason I posted this question is that I'm trying to install MIT meep 1.3. The update manager seems to only be able to find meep 1.1.1, so I'm trying to see if it just isn't updating the repository info. or if there might be some sort of compatibility issue with 12.04 precise.

Bo Elliot Miller (millerbe31) said : #4

It looks like the issue is one of compatibility. The packages for meep 1.3 are only listed for Ubuntu 16.04 and 16.10, so they aren't found by a 12.04 update request.

Manfred Hampl (m-hampl) said : #5

If you look at https://launchpad.net/ubuntu/+source/meep you can see that for Ubuntu 12.04 precise only meep 1.1.1 is available in the official Ubuntu repositories.

I want to draw your attention to the fact, that Ubuntu 12.04 is going to have its end of life date on April 28, 2017, that is in four weeks' time, see https://wiki.ubuntu.com/Releases and https://lists.ubuntu.com/archives/ubuntu-announce/2017-March/000218.html

I recommend that you upgrade to a newer Ubuntu release. If you switch over to Ubuntu 16.04 (supported until April 2021), you can also install meep version 1.3-4 from the repositories.